#!/bin/sh

# The install script asks where to install the Java Contactor and 
# makes directories below the install directory and creates a launcher
# script called JavaContactor.sh

# Ask where to put the distribution
echo Where would you like to install the Java Contactor, e.g. /home/user 
read INSTALL_DIR

# Create the directories
mkdir $INSTALL_DIR/JavaContactor 
mkdir $INSTALL_DIR/JavaContactor/database 
mkdir $INSTALL_DIR/JavaContactor/database/images 
mkdir $INSTALL_DIR/JavaContactor/database/help 

# Copy the files needed
cp log4j-1.2.8.jar $INSTALL_DIR/JavaContactor
cp Contact.jar $INSTALL_DIR/JavaContactor
cp database/*txt $INSTALL_DIR/JavaContactor/database
cp database/help/style.css $INSTALL_DIR/JavaContactor/database/help
cp database/images/*gif $INSTALL_DIR/JavaContactor/database/images
cp database/help/*html $INSTALL_DIR/JavaContactor/database/help

# Create the launcher scipt and change permissions
touch $INSTALL_DIR/JavaContactor/JavaContactor.sh
echo \#!/bin/sh > $INSTALL_DIR/JavaContactor/JavaContactor.sh
echo INSTALL_DIR=$INSTALL_DIR/JavaContactor >> $INSTALL_DIR/JavaContactor/JavaContactor.sh
echo cd \$INSTALL_DIR >> $INSTALL_DIR/JavaContactor/JavaContactor.sh
echo java -Xms64m -Xmx128m -classpath Contact.jar:log4j-1.2.8.jar com.smilingdogapps.fyi.MainClass >> $INSTALL_DIR/JavaContactor/JavaContactor.sh
chmod 755 $INSTALL_DIR/JavaContactor/JavaContactor.sh
